(** A view is represented by a rectangular box in the plane that will
    be displayed. *)
val box : center:Gg.v2 -> width:float -> Gg.box2

(** Computes the complex associated to a pixel for a given view [box] *)
val complex_of_pixel : box:Gg.box2 -> Plot.pixel -> Cplex.t


(** Some nice views *)
val box0 : Gg.box2
val box1 : Gg.box2
val box2 : Gg.box2
val box3 : Gg.box2
val box4 : Gg.box2
val box5 : Gg.box2



(** for testing purpose *)
val arbitrary_box : Gg.box2 QCheck.arbitrary
